// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.math.geometry.Translation2d;

/**
 * The Constants class provides a convenient place for teams to hold robot-wide numerical or boolean
 * constants. This class should not be used for any other purpose. All constants should be declared
 * globally (i.e. public static). Do not put anything functional in this class.
 *
 * <p>It is advised to statically import this class (or one of its inner classes) wherever the
 * constants are needed, to reduce verbosity.
 */
public final class Constants {
    // public static int LF_DRIVE = 0;
    // public static int LF_TURN = 1;
    // public static int RF_DRIVE = 2;
    // public static int RF_TURN = 3;
    // public static int LB_DRIVE = 4;
    // public static int LB_TURN = 5;
    // public static int RB_DRIVE = 6;
    // public static int RB_TURN = 7;

    public static int LF_DRIVE = 2;
    public static int LF_TURN = 1;
    public static int RF_DRIVE = 4;
    public static int RF_TURN = 3;
    public static int LB_DRIVE = 6;
    public static int LB_TURN = 5;
    public static int RB_DRIVE = 8;
    public static int RB_TURN = 7;

    public static double TURN_P = 1.0;
    public static double TURN_I = 0.0;
    public static double TURN_D = 0.0;

    public static double JOY_DRIVE_EXPO = 5.0;
    public static double JOY_TURN_EXPO = 5.0;

    public static double POD_COUNTS_PER_DEG = 6656.0;

    // drive full speed meters
    public static double DRIVE_MAX_SPEED = 5.0;

    // meters
    public static double swerveXFromCenter = 1.0;
    public static double swerveYFromCenter = 2.0;

    public static Translation2d LF_TRANSLATION = new Translation2d(swerveXFromCenter, swerveYFromCenter);
    public static Translation2d RF_TRANSLATION = new Translation2d(swerveXFromCenter, -swerveYFromCenter);
    public static Translation2d LB_TRANSLATION = new Translation2d(-swerveXFromCenter, swerveYFromCenter);
    public static Translation2d RB_TRANSLATION = new Translation2d(-swerveXFromCenter, -swerveYFromCenter);
}
