// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystems;

import com.ctre.phoenix.motorcontrol.FeedbackDevice;
import com.ctre.phoenix.motorcontrol.can.TalonSRX;

import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;

public class ExampleSubsystem extends SubsystemBase {
  public TalonSRX lf_drive = new TalonSRX(Constants.LF_DRIVE);
  public TalonSRX lf_turn = new TalonSRX(Constants.LF_TURN);
  public TalonSRX rf_drive = new TalonSRX(Constants.RF_DRIVE);
  public TalonSRX rf_turn = new TalonSRX(Constants.RF_TURN);
  public TalonSRX lb_drive = new TalonSRX(Constants.LB_DRIVE);
  public TalonSRX lb_turn = new TalonSRX(Constants.LB_TURN);
  public TalonSRX rb_drive = new TalonSRX(Constants.RB_DRIVE);
  public TalonSRX rb_turn = new TalonSRX(Constants.RB_TURN);

  /** Creates a new ExampleSubsystem. */
  public ExampleSubsystem() {
    lf_turn.configSelectedFeedbackSensor(FeedbackDevice.CTRE_MagEncoder_Relative);
    lf_turn.setSensorPhase(true);
    lf_turn.config_kP(0, Constants.TURN_P);
    lf_turn.config_kI(0, Constants.TURN_I);
    lf_turn.config_kD(0, Constants.TURN_D);

    rf_turn.configSelectedFeedbackSensor(FeedbackDevice.CTRE_MagEncoder_Relative);
    rf_turn.setSensorPhase(true);
    rf_turn.config_kP(0, Constants.TURN_P);
    rf_turn.config_kI(0, Constants.TURN_I);
    rf_turn.config_kD(0, Constants.TURN_D);

    lb_turn.configSelectedFeedbackSensor(FeedbackDevice.CTRE_MagEncoder_Relative);
    lb_turn.setSensorPhase(true);
    lb_turn.config_kP(0, Constants.TURN_P);
    lb_turn.config_kI(0, Constants.TURN_I);
    lb_turn.config_kD(0, Constants.TURN_D);

    rb_turn.configSelectedFeedbackSensor(FeedbackDevice.CTRE_MagEncoder_Relative);
    rb_turn.setSensorPhase(true);
    rb_turn.config_kP(0, Constants.TURN_P);
    rb_turn.config_kI(0, Constants.TURN_I);
    rb_turn.config_kD(0, Constants.TURN_D);
  }

  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }

  @Override
  public void simulationPeriodic() {
    // This method will be called once per scheduler run during simulation
  }
}
